Ayuda con la actualización

Situation
Hola a todos buenos días, tengo problemas con la actualización de openemr 4.1.2 a openemr 7.0.2, el hospital posee una versión muy antigua y tienen problemas a menudo, quiero actualizar a la ultima versión pero los pasos a seguir no me funcionan ya que open 4.1.2 no tiene los archivos mencionados en los pasos a seguir, cualquier a aporte me serviría mucho ya que es demasiada información en la base de datos y quiero actualizar el sistema directamente.

OpenEMR Version
I’m using OpenEMR version 4.1.2 y quiero actualizar a la version 7.0.2

Browser:
I’m using:

Operating System
I’m using: Windows vista y quiero actualizar a Windows server

Search
Did you search the forum for similar questions? Soporte con la actualización

Logs
Did you check the logs?
Was there anything pertinent in them?
Please paste them here (surround with three backticks (```) for readability.
You can also turn on User Debugging under Administration->Globals->Logging User Debugging Options=>All


**Advertencia** : Variable no definida $host en **C:\xampp\htdocs\openemr\library\sql.inc.php** en línea **58**

**Advertencia** : Variable indefinida $login en **C:\xampp\htdocs\openemr\library\sql.inc.php** en la línea **58**

**Advertencia** : Variable indefinida $pass en **C:\xampp\htdocs\openemr\library\sql.inc. php** en la línea **58**

**Advertencia** : Variable no definida $dbase en **C:\xampp\htdocs\openemr\library\sql.inc.php** en la línea **58**

**Advertencia** : Variable no definida $disable_utf8_flag en **C:\xampp\htdocs\openemr\library\sql. inc.php** en la línea **64** ```

hola @Hospital
Lamentablemente, el foro OpenEMR está casi exclusivamente en inglés. Cuando respondo a publicaciones en otros idiomas además del inglés, uso traductor.google.com, como puedes ver aquí.

OpenEMR algún día será una aplicación completamente multilingüe pero ese día no ha llegado.
Mejor- Harley

Hola. Por experiencia recientes, es mejor que vayas actualizando de version a version 4.0 → 5.0 → 6.0 ->7.0 → 7.0.2. Y si puedes aplicar los parches es mejor.

Hello. From recent experience, it is better that you update from version to version 4.0 → 5.0 → 6.0 ->7.0 → 7.0.2. And if you can apply the patches it is better.

Suerte.
Luis

hi @luisuriarte , the upgrades are designed to be able to jump from 4.1.2 directly to 7.0.2. This is less tedious and it takes advantage of upgrade functions that have been optimized in later versions. if you encounter any trouble completing the upgrade in this manner then post the issue to the forum please.

Yes, I knew that. But the problem arose for me to update the PHP version as well. For example from php 7.2 to php 8.1. On some occasions the query became very slow, on other occasions blank pages appeared. I know it’s less tedious…
Sorry, but I have not been able to document.
Thanks @stephenwaite

Good point @luisuriarte , you have to prep the host machine with the dependencies before upgrading

Hello stephen, I have had similar problems to luis, but i use xampp and i have done the updates with xampp, i assume the dependencies in this case are ok? Or do i have to do something else manually?

THANKS

Don’t have a lot of experience with xampp but should be fine if you follow the windows upgrade guide and let us know how you make out @mlobo4370

(post deleted by author)

hi @Hospital , looks like you don’t have the proper mysql credentials in sqlconf.php so the upgrade can’t proceed.

Saludos

sqlconf.php
¿Tienes copia del archivo original?